Ubuntu 16.04 и Wi-Fi адаптер с чипом rtl8192eu

По умолчанию, этот адаптер в Ubuntu работать не будет! Хотя драйвер в ядре 4.4 присутствует. Чтобы заставить этот адаптер работать, нужно добавить PPA

sudo add-apt-repository ppa:hanipouspilot/rtlwifi
sudo apt update 

И установить оттуда два пакета:

sudo apt install rtl8192eu-dkms rtlwifi-new-dkms 

Однако, после перезагрузки адаптер всё равно работать не будет, потому что новый драйвер не будет запускаться автоматически. Нужно добавить его в /etc/modules

sudo -s
echo 8192eu > /etc/modules 

После чего необходимо перезагрузиться